PMCD_WAIT(1)

NAME
pmcd_wait - wait for PMCD to accept client connections

SYNOPSIS
$PCP_BINADM_DIR/pmcd_wait [-v?] [-h host] [-t timeout]

DESCRIPTION
pmcd_wait waits for the Performance Metrics Collector Daemon (PMCD) to be running and accepting client connections.

Unless directed to another host by the -h option, pmcd_wait will try to contact pmcd(1) on the local host.

pmcd_wait will timeout and abandon the attempt to connect to pmcd after 60 seconds. This default timeout interval may be changed using the -t option, where the interval argument follows the syntax described in PCPIntro(1) and in the simplest form may be an unsigned integer (the implied units in this case are seconds).

On successful connection to pmcd an exit status of zero is returned.

If an error or timeout occurs, then a non-zero exit status is returned as described below.

OPTIONS
The available command line options are:

-h host, --host=host
    Connect pmcd(1) on host, rather than the one on the default localhost.

-t timeout, --interval=timeout
    Timeout after timeout seconds if not connected. The default timeout value is 60 seconds.

-v, --verbose
    This option turns the verbose mode on. With the verbose mode off (which is the default), no output will be generated. With verbose mode on, error messages will be output on stderr.

-?, --help
    Display usage message and exit.

DIAGNOSTICS
Error messages will be output to stderr only if the verbose mode is on.

The following exit status codes are returned:

0   pmcd_wait was able to successfully connect to pmcd within the timeout period.

1   A usage error occurred, use -v for more details.

2   No connection was made in the timeout interval. This will happen if pmcd is running but takes too long to complete the client connection, or if pmcd is not running and all connection attempts in the timeout interval failed with the error ECONNREFUSED.

3   A UNIX error occurred, use -v for more details.

4   A PCP error occurred, use -v for more details.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).